## ros-indigo-diagnostic-updater 1.9.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(diagnostic_updater)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs roscpp std_msgs)

catkin_python_setup()

catkin_package(DEPENDS diagnostic_msgs roscpp std_msgs
               INCLUDE_DIRS include
)

include_directories(include ${catkin_INCLUDE_DIRS})
add_executable(example src/example.cpp)
target_link_libraries(example ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(diagnostic_updater_test test/diagnostic_updater_test.xml test/diagnostic_updater_test.cpp)
  add_rostest(test/diagnostic_updater_fast_test.xml)
  target_link_libraries(diagnostic_updater_test ${catkin_LIBRARIES})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-diagnostic-updater (1.9.3-0trusty) trusty; urgency=high

  * Merge pull request #73 <https://github.com/ros/diagnostics/issues/73> from tue-robotics/indigo-devel
    Add a simple Heartbeat-DiagnosticTask
  * Add Python version of Heartbeat DiagnosticTask
  * Add a very very simple Heartbeat DiagnosticTask
  * Contributors: Austin, Loy van Beek, loy

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-diagnostic-updater (1.9.2-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-diagnostic-updater (1.9.1-0trusty) trusty; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-diagnostic-updater (1.9.0-0trusty) trusty; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Fixed bug with merge summary in status wrapper
  * Contributors: Lukas Bulwahn, pAIgn10

 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.10-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.9-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Mar 2016 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.8-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 06 Aug 2015 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.7-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 09 Jan 2015 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.6-0trusty) trusty; urgency=high

  * Add queue_size to diagnostic_updater for Python.
    cf. http://wiki.ros.org/rospy/Overview/Publishers%20and%20Subscribers#queue_size:_publish.28.29_behavior_and_queuing
  * Contributors: Mike Purvis

 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.5-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 29 Jul 2014 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.4-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 20:51:00 -0000

ros-indigo-diagnostic-updater (1.8.3-0trusty) trusty; urgency=high

  * Initialize next_time_ properly.
    Fixes #20 <https://github.com/ros/diagnostics/issues/20>
  * Add failing test for fast updater
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Wed, 23 Apr 2014 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.2-0trusty) trusty; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix doc reference. Fixes #14 <https://github.com/ros/diagnostics/issues/14>
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 08 Apr 2014 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.1-0trusty) trusty; urgency=high

  * Add myself as maintainer
  * Added ability to supply a custom node name (prefix) to Updater
  * Added ability to supply node handle and private node handle to Updater
  * fixed exporting python API to address #10 <https://github.com/ros/diagnostics/issues/10>
  * fixed test related issues in some CMakeLists
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Aero, Austin Hendrix, Brice Rebsamen, Lukas Bulwahn, Mitchell Wills

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 00:00:00 -0000

ros-indigo-diagnostic-updater (1.8.0-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Apr 2013 00:00:00 -0000

ros-indigo-diagnostic-updater (1.7.11-0trusty) trusty; urgency=high

  * Fix linking on tests
  * support python binding of diagnostic_updater on groovy
  * Contributors: Ryohei Ueda, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 20:24:00 -0000

ros-indigo-diagnostic-updater (1.7.10-0trusty) trusty; urgency=high

  * Changed package.xml version number before releasing
  * added missing license header
  * added missing license headers
  * Contributors: Aaron Blasdel, Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Fri, 22 Feb 2013 00:00:00 -0000

ros-indigo-diagnostic-updater (1.7.9-0trusty) trusty; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-indigo-diagnostic-updater (1.7.8-0trusty) trusty; urgency=high

  * missing includedirs from roscpp cause compile errors.
    diagnostic_aggregator/include/diagnostic_aggregator/status_item.h:45:21: fatal error: ros/ros.h: No such file or directory
    diagnostics/diagnostic_updater/include/diagnostic_updater/diagnostic_updater.h:42:29: fatal error: ros/node_handle.h: No such file or directory
    compilation terminated.
  * Contributors: Thibault Kruse

 -- Austin Hendrix <namniart@gmail.com>  Thu, 06 Dec 2012 00:00:00 -0000

ros-indigo-diagnostic-updater (1.7.7-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 10 Nov 2012 00:00:00 -0000

ros-indigo-diagnostic-updater (1.7.6-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 23:32:00 -0000

ros-indigo-diagnostic-updater (1.7.5-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 21:53:00 -0000

ros-indigo-diagnostic-updater (1.7.4-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 20:18:00 -0000

ros-indigo-diagnostic-updater (1.7.3-0trusty) trusty; urgency=high

  * fix the non-existing xml
  * Contributors: Vincent Rabaud

 -- Austin Hendrix <namniart@gmail.com>  Sun, 04 Nov 2012 00:00:00 -0000

ros-indigo-diagnostic-updater (1.7.2-0trusty) trusty; urgency=high

  * fix rostest


=== debian/control ===
Source: ros-indigo-diagnostic-updater
Section: misc
Priority: extra
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.68), ros-indigo-diagnostic-msgs, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/diagnostic_updater
Standards-Version: 3.9.2

Package: ros-indigo-diagnostic-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Description: diagnostic_updater contains tools for easily updating diagnostics.
 it is commonly used in device drivers to keep track of the status of output topics, device status, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-diagnostic-updater//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
